# Generated by Django 2.1.1 on 2019-03-02 11:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('UserInfo', '0010_auto_20190125_1724'),
    ]

    operations = [
        migrations.CreateModel(
            name='AlertMaster',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('alert_type', models.CharField(choices=[('OrderPlaced', 'New Order Placed'), ('Deleted', 'Order Cancelled'), ('Dispatched', 'Order Dispatched'), ('PaymentDone', 'Payment Received')], max_length=100)),
                ('action_type', models.CharField(choices=[('SMS', 'SMS'), ('EMAIL', 'Email'), ('BOTH', 'SMS & Email')], default='EMAIL', max_length=100)),
                ('optional_email', models.TextField(blank=True, null=True)),
                ('is_active', models.BooleanField(blank=True, default=True, null=True)),
                ('is_deleted', models.BooleanField(blank=True, default=False, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='AlertTemplateMaster',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('subject', models.CharField(blank=True, max_length=200, null=True)),
                ('email_content', models.TextField(blank=True, null=True)),
                ('sms_content', models.TextField(blank=True, null=True)),
                ('is_active', models.BooleanField(blank=True, default=True, null=True)),
                ('is_deleted', models.BooleanField(blank=True, default=False, null=True)),
                ('alert', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='UserInfo.AlertMaster')),
            ],
        ),
        migrations.CreateModel(
            name='SendAlert',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('role_name', models.CharField(blank=True, max_length=100, null=True)),
                ('is_active', models.BooleanField(blank=True, default=True, null=True)),
                ('is_deleted', models.BooleanField(blank=True, default=False, null=True)),
                ('action', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='UserInfo.AlertMaster')),
            ],
        ),
    ]
